package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_CONFIG"
)
public class TCoreConfig extends TBaseEntity {
   private String datasystemid;
   private String dbtype;
   private String sourcedelimiter;
   private String sourceskipRows;
   private String sourcequoteCharacter;
   private String sourcefileType;
   private String sourcecommand;
   private String targetdelimiter;
   private String targetskipRows;
   private String targetquoteCharacter;
   private String targetfileType;
   private String targetcommand;
   private String fileDir;
   private String suffix;
   private String codePage;
   private String localdir;
   private String columnSurroundCharacterLeft;
   private String columnSurroundCharacterRight;
   private String tableSurroundCharacterLeft;
   private String tableSurroundCharacterRight;

   public String getTableSurroundCharacterLeft() {
      return this.tableSurroundCharacterLeft;
   }

   public void setTableSurroundCharacterLeft(String tableSurroundCharacterLeft) {
      this.tableSurroundCharacterLeft = tableSurroundCharacterLeft;
   }

   public String getTableSurroundCharacterRight() {
      return this.tableSurroundCharacterRight;
   }

   public void setTableSurroundCharacterRight(String tableSurroundCharacterRight) {
      this.tableSurroundCharacterRight = tableSurroundCharacterRight;
   }

   public String getColumnSurroundCharacterRight() {
      return this.columnSurroundCharacterRight;
   }

   public void setColumnSurroundCharacterRight(String columnSurroundCharacterRight) {
      this.columnSurroundCharacterRight = columnSurroundCharacterRight;
   }

   public String getColumnSurroundCharacterLeft() {
      return this.columnSurroundCharacterLeft;
   }

   public void setColumnSurroundCharacterLeft(String columnSurroundCharacterLeft) {
      this.columnSurroundCharacterLeft = columnSurroundCharacterLeft;
   }

   public String getLocaldir() {
      return this.localdir;
   }

   public void setLocaldir(String localdir) {
      this.localdir = localdir;
   }

   public String getCodePage() {
      return this.codePage;
   }

   public void setCodePage(String codePage) {
      this.codePage = codePage;
   }

   public String getFileDir() {
      return this.fileDir;
   }

   public void setFileDir(String fileDir) {
      this.fileDir = fileDir;
   }

   public String getSuffix() {
      return this.suffix;
   }

   public void setSuffix(String suffix) {
      this.suffix = suffix;
   }

   public TCoreConfig(String datasystemid, String dbtype, String sourcedelimiter, String sourceskipRows, String sourcequoteCharacter, String sourcefileType, String sourcecommand, String targetdelimiter, String targetskipRows, String targetquoteCharacter, String targetfileType, String targetcommand) {
      this.datasystemid = datasystemid;
      this.dbtype = dbtype;
      this.sourcedelimiter = sourcedelimiter;
      this.sourceskipRows = sourceskipRows;
      this.sourcequoteCharacter = sourcequoteCharacter;
      this.sourcefileType = sourcefileType;
      this.sourcecommand = sourcecommand;
      this.targetdelimiter = targetdelimiter;
      this.targetskipRows = targetskipRows;
      this.targetquoteCharacter = targetquoteCharacter;
      this.targetfileType = targetfileType;
      this.targetcommand = targetcommand;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getSourcedelimiter() {
      return this.sourcedelimiter;
   }

   public void setSourcedelimiter(String sourcedelimiter) {
      this.sourcedelimiter = sourcedelimiter;
   }

   public String getSourceskipRows() {
      return this.sourceskipRows;
   }

   public void setSourceskipRows(String sourceskipRows) {
      this.sourceskipRows = sourceskipRows;
   }

   public String getSourcequoteCharacter() {
      return this.sourcequoteCharacter;
   }

   public void setSourcequoteCharacter(String sourcequoteCharacter) {
      this.sourcequoteCharacter = sourcequoteCharacter;
   }

   public String getSourcefileType() {
      return this.sourcefileType;
   }

   public void setSourcefileType(String sourcefileType) {
      this.sourcefileType = sourcefileType;
   }

   public String getSourcecommand() {
      return this.sourcecommand;
   }

   public void setSourcecommand(String sourcecommand) {
      this.sourcecommand = sourcecommand;
   }

   public String getTargetdelimiter() {
      return this.targetdelimiter;
   }

   public void setTargetdelimiter(String targetdelimiter) {
      this.targetdelimiter = targetdelimiter;
   }

   public String getTargetskipRows() {
      return this.targetskipRows;
   }

   public void setTargetskipRows(String targetskipRows) {
      this.targetskipRows = targetskipRows;
   }

   public String getTargetquoteCharacter() {
      return this.targetquoteCharacter;
   }

   public void setTargetquoteCharacter(String targetquoteCharacter) {
      this.targetquoteCharacter = targetquoteCharacter;
   }

   public String getTargetfileType() {
      return this.targetfileType;
   }

   public void setTargetfileType(String targetfileType) {
      this.targetfileType = targetfileType;
   }

   public String getTargetcommand() {
      return this.targetcommand;
   }

   public void setTargetcommand(String targetcommand) {
      this.targetcommand = targetcommand;
   }

   public TCoreConfig() {
   }
}
